AuthResponse (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.transport.messages

## Class AuthResponse

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Request
    - - org.apache.cassandra.transport.messages.AuthResponse

-     public class AuthResponse
      extends Message.Request

  A SASL token message sent from client to server. Some SASL mechanisms and clients may send an initial token before receiving a challenge from the server.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

      `Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ExceptionHandler, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Message.Codec<AuthResponse>` | `codec`

    - ### Fields inherited from class org.apache.cassandra.transport.Message.Request

      `tracingRequested`

    - ### Fields inherited from class org.apache.cassandra.transport.Message

      `connection, logger, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthResponse(byte[] token)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message.Response` | `execute(QueryState queryState)`

    - ### Methods inherited from class org.apache.cassandra.transport.Message.Request

      `isTracingRequested, setTracingRequested`

    - ### Methods inherited from class org.apache.cassandra.transport.Message

      `attach, connection, getCustomPayload, getSourceFrame, getStreamId, setCustomPayload, setSourceFrame, setStreamId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codec

          public static final Message.Codec<AuthResponse> codec

  - ### Constructor Detail

    - #### AuthResponse

          public AuthResponse(byte[] token)

  - ### Method Detail

    - #### execute

          public Message.Response execute(QueryState queryState)

      Specified by:
        `execute` in class `Message.Request`

Copyright © 2018 The Apache Software Foundation